# SplDoublyLinkedList::offsetSet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplDoublyLinkedList::offsetSet — Establece el valor del índice específicado

### Descripción

public SplDoublyLinkedList::offsetSet(?int `$index`, mixed `$value`): void

Establece el valor del índice dado por `index` al valor especificado por `value`.

### Parámetros

`index`

  El índice a establer. Si `null`, el siguiente valor se añadirá después del último elemento.

`value`

  El nuevo valor para `index`.

### Valores devueltos

No devuelve ningún valor.

### Errores/Excepciones

Lanza una OutOfRangeException cuando `index` está fuera de los límites o cuando `index` no se puede analizar como un entero.